extensions.checkCompatibility per-application-version -- new extensions on install fail due to incompatibility

RESOLVED WORKSFORME

Status

()

Firefox
Extension Compatibility
--
major
RESOLVED WORKSFORME
8 years ago
7 years ago

People

(Reporter: Veritas, Unassigned)

Tracking

({regression})

Trunk
x86_64
Windows 7
regression
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

8 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.3a1pre) Gecko/20100131 Minefield/3.7a1pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.3a1pre) Gecko/20100131 Minefield/3.7a1pre

extensions.checkCompatibility per-application-version boolean in about:config allow currently installed extensions to operate, but when you go to install a new extension, it fails after compatibility check.

Reproducible: Always

Steps to Reproduce:
1.set about:config extensions.checkCompatibility.3.x to false
2.install NEW extension
3.
Actual Results:  
will fail on extensions compatibility check

Expected Results:  
should install if the key is set to boolean false

i can confirm this with at least logmein's ff3 extension, though i have experienced it with every one ive tried.

it only started happening with the change implemented by https://bugzilla.mozilla.org/show_bug.cgi?id=521905
(Reporter)

Updated

8 years ago
Version: unspecified → Trunk
(Reporter)

Updated

8 years ago
Keywords: regression

Comment 1

8 years ago
Veritas, do you see this with current nightly?
WFM, with compatibility checking off on latest nightly I can install extensions not marked for compatibility with the nightly.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.